You need to enable JavaScript to run this app.
文档中心
火山方舟

火山方舟

复制全文
下载 pdf
记忆条目
查询记忆列表
复制全文
下载 pdf
查询记忆列表
GET https://ark.cn-beijing.volces.com/api/v3/memory_stores/{memory_store_id}/memories​
查询指定记忆库中的记忆条目。支持按 path_prefix 筛选,并通过 depth 折叠子目录。列表项仅包含路径和精简信息,不含 content;需要正文时,调用查询记忆详情接口。​
说明​
记忆库不存在或不可访问时返回 404 InvalidMemoryStore.NotFound。path_prefix、depth、order_by、limit 或下一页标识不合法时返回 400 InvalidParameter;翻页期间保持筛选条件和每页数量不变。​
鉴权​
本接口支持鉴权方式如下,详情请参见 Base URL 及鉴权。​
  • API Key 鉴权,请在 API Key 管理 页面,获取长效 API Key。​
​​
请求参数​
Path 参数​
memory_store_id string 必选 | 记忆库 ID​
​
​
Query 参数​
在 URL Query String 中传入。​
depth integer | 折叠层数​
​
limit integer 默认值 100 | 每页数量​
​
order_by string 默认值 path | 排序字段​
​
page string | 下一页标识​
​
path_prefix string | 路径前缀​
​
​
响应参数​
data object[] | 记忆列表​
​
next_page string | 下一页标识​
​
prefixes string[] | 折叠前缀列表​
​
​

Request

curl -sS --fail-with-body "https://ark.cn-beijing.volces.com/api/v3/memory_stores/<MEMORY_STORE_ID>/memories?limit=20&path_prefix=/notes/" \
  -H "Authorization: Bearer $ARK_API_KEY"

Response

{
  "data": [
    {
      "type": "memory",
      "id": "mem-<VALUE>",
      "memory_store_id": "<MEMORY_STORE_ID>",
      "path": "/notes/2026/q3-plan.md",
      "content_sha256": "e774ea541686b734b4d19d3460264bc350ecaebef7f45e7ca2bc31a712b2a694",
      "content_size_bytes": 54,
      "memory_version_id": "<MEMORY_VERSION_ID>",
      "created_at": "2026-09-17T16:02:50Z",
      "updated_at": "2026-09-17T16:02:51Z"
    }
  ],
  "next_page": "<NEXT_PAGE>",
  "prefixes": []
}
最近更新时间:2026.10.17 12:33:27
这个页面对您有帮助吗?
有用
有用
无用
无用